Bug 1025850 - [abrt] xfig-3.2.5-36.b.fc19: ___fprintf_chk: Process /usr/bin/xfig-Xaw3d was killed by signal 11 (SIGSEGV)
[abrt] xfig-3.2.5-36.b.fc19: ___fprintf_chk: Process /usr/bin/xfig-Xaw3d was ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xfig (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6f1b109edebc46d0e4ad7a4b3c5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 14:03 EDT by Rob Stewart
Modified: 2014-06-18 10:53 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-18 10:53:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (10.55 KB, text/plain)
2013-11-01 14:03 EDT, Rob Stewart
no flags Details
File: cgroup (141 bytes, text/plain)
2013-11-01 14:03 EDT, Rob Stewart
no flags Details
File: core_backtrace (6.53 KB, text/plain)
2013-11-01 14:03 EDT, Rob Stewart
no flags Details
File: dso_list (1.88 KB, text/plain)
2013-11-01 14:03 EDT, Rob Stewart
no flags Details
File: environ (4.10 KB, text/plain)
2013-11-01 14:03 EDT, Rob Stewart
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-01 14:03 EDT, Rob Stewart
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-01 14:03 EDT, Rob Stewart
no flags Details
File: maps (9.60 KB, text/plain)
2013-11-01 14:03 EDT, Rob Stewart
no flags Details
File: open_fds (146 bytes, text/plain)
2013-11-01 14:03 EDT, Rob Stewart
no flags Details
File: proc_pid_status (925 bytes, text/plain)
2013-11-01 14:04 EDT, Rob Stewart
no flags Details

  None (edit)
Description Rob Stewart 2013-11-01 14:03:16 EDT
Description of problem:
1. Start xfig.
    $ xfig

2. Click the button on the left for the Polyline drawing (straight lines)
3. At the bottom, set line width to 2.
4. At the bottom, set the line style to dot dash dot dash ... (which is the 4th button from the left in "line style").
5. At the bottom, click "PenColor", and set it to "Brown4".
6. Left click anywhere on the canvas.
7. Middle click anywhere else on the canvas (to create the line).
8. xfig segfaults.

Version-Release number of selected component:
xfig-3.2.5-36.b.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        xfig-Xaw3d
crash_function: ___fprintf_chk
executable:     /usr/bin/xfig-Xaw3d
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001
var_log_messages: Nov  1 17:45:23 serena abrt-hook-ccpp[3766]: Saved core dump of pid 3765 (/usr/bin/xfig-Xaw3d) to /var/tmp/abrt/ccpp-2013-11-01-17:45:23-3765 (2551808 bytes)

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 ___fprintf_chk at fprintf_chk.c:35
 #1 fprintf at /usr/include/bits/stdio2.h:97
 #2 error_handler at u_error.c:39
 #3 __libc_sigaction at ../sysdeps/unix/sysv/linux/x86_64/sigaction.c:56
Comment 1 Rob Stewart 2013-11-01 14:03:25 EDT
Created attachment 818378 [details]
File: backtrace
Comment 2 Rob Stewart 2013-11-01 14:03:31 EDT
Created attachment 818379 [details]
File: cgroup
Comment 3 Rob Stewart 2013-11-01 14:03:35 EDT
Created attachment 818380 [details]
File: core_backtrace
Comment 4 Rob Stewart 2013-11-01 14:03:39 EDT
Created attachment 818381 [details]
File: dso_list
Comment 5 Rob Stewart 2013-11-01 14:03:42 EDT
Created attachment 818382 [details]
File: environ
Comment 6 Rob Stewart 2013-11-01 14:03:46 EDT
Created attachment 818383 [details]
File: exploitable
Comment 7 Rob Stewart 2013-11-01 14:03:49 EDT
Created attachment 818384 [details]
File: limits
Comment 8 Rob Stewart 2013-11-01 14:03:53 EDT
Created attachment 818385 [details]
File: maps
Comment 9 Rob Stewart 2013-11-01 14:03:57 EDT
Created attachment 818386 [details]
File: open_fds
Comment 10 Rob Stewart 2013-11-01 14:04:01 EDT
Created attachment 818387 [details]
File: proc_pid_status
Comment 11 Gigi Treezzi 2013-11-09 18:05:38 EST
I'm loading the libraries Mechanical.

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        xfig-Xaw3d
crash_function: ___fprintf_chk
executable:     /usr/bin/xfig-Xaw3d
kernel:         3.11.7-200.fc19.x86_64
package:        xfig-3.2.5-36.b.fc19
reason:         Process /usr/bin/xfig-Xaw3d was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 12 Hans de Goede 2014-06-18 10:53:20 EDT
Hi,

I'm currently going through xfig bugs, I've been looking at your backtrace and it is incomplete, so I'm going to close this with a resolution of insufficient data.

Regards,

Hans

Note You need to log in before you can comment on or make changes to this bug.